Bug 64170 - nautilus crash + procfs odds
nautilus crash + procfs odds
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-27 05:08 EDT by Sasha Wagarow
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-12 09:01:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sasha Wagarow 2002-04-27 05:08:20 EDT
Description of Problem:
Nautilus crashes and programs using procfs stop working.
For 
example shutdown procedure hangs during sending SIGKILL.

Version-Release number of 
selected component (if applicable):


How Reproducible:
100% nautilus crash
50% 
procfs corruption

Steps to Reproduce:

Drag folder to copy from nautilus window to your 
desktop.
When dialog box appears press >>Cancel<< button as fast as possible.
Observe 
nautilus crash and sometimes /proc fs corruption (?). 

Actual Results:


Expected 
Results:


Additional Information:
GNOME stdout/stderr:
GnomeVFS-CRITICAL **: file 
gnome-vfs-uri.c: line 453 (gnome_vfs_uri_new_private): assertion `text_uri != NULL' 
failed.

GnomeVFS-CRITICAL **: file gnome-vfs-uri.c: line 566 (gnome_vfs_uri_ref): 
assertion `uri != NULL' failed.

GnomeVFS-CRITICAL **: file gnome-vfs-uri.c: line 586 
(gnome_vfs_uri_unref): assertion `uri != NULL' failed.

GnomeVFS-CRITICAL **: file gnome-
vfs-uri.c: line 453 (gnome_vfs_uri_new_private): assertion `text_uri != NULL' 
failed.

GnomeVFS-CRITICAL **: file gnome-vfs-uri.c: line 566 (gnome_vfs_uri_ref): 
assertion `uri != NULL' failed.

GnomeVFS-CRITICAL **: file gnome-vfs-uri.c: line 586 
(gnome_vfs_uri_unref): assertion `uri != NULL' failed.


Backtrace:
(gdb) bt
#0  
0x4064b5a0 in gnome_vfs_get_file_info_uri_cancellable ()
   from 
/usr/lib/libgnomevfs.so.0
#1  0x40659745 in gnome_vfs_get_file_info_uri () from 
/usr/lib/libgnomevfs.so.0
#2  0x406604dd in gnome_vfs_visit_list () from 
/usr/lib/libgnomevfs.so.0
#3  0x406606bc in count_items_and_size () from 
/usr/lib/libgnomevfs.so.0
#4  0x40661c52 in gnome_vfs_xfer_delete_items () from 
/usr/lib/libgnomevfs.so.0
#5  0x4066249b in gnome_vfs_xfer_private () from 
/usr/lib/libgnomevfs.so.0
#6  0x40b1cf68 in execute_xfer () from /usr/lib/libgnomevfs-
pthread.so.0
#7  0x40b1d159 in gnome_vfs_job_execute ()
   from /usr/lib/libgnomevfs-
pthread.so.0
#8  0x40b1ae3e in thread_routine () from /usr/lib/libgnomevfs-
pthread.so.0
#9  0x40b19099 in thread_entry () from /usr/lib/libgnomevfs-
pthread.so.0
#10 0x408cfc04 in pthread_start_thread (arg=0xbf5ffc00) at 
manager.c:274
Comment 1 Havoc Pennington 2002-04-27 10:45:00 EDT
I suspect the two bugs are unrelated - you may want to file the procfs problem
separately against the kernel.
Comment 2 Sasha Wagarow 2002-05-09 23:32:55 EDT
I compiled 2.4.18 kernel and process table corruption didn't occur.
Comment 3 Havoc Pennington 2002-07-05 22:34:34 EDT
Almost certainly gone in Rawhide, the relevant code is changed substantially. 
Needs verification though.
Comment 4 Alexander Larsson 2003-08-12 09:01:44 EDT
I'm marking this fixed. 

Note You need to log in before you can comment on or make changes to this bug.